#include <iostream>

int main() {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int n;
    std::cin >> n;

    static int a1[200000];
    static int a2[200000];

   
    for (int i = 0; i < n; i++) {
        std::cin >> a1[i];
    }

  
    for (int i = 0; i < n; i++) {
        std::cin >> a2[i];
    }

    long long max = 0;

    
    for (int i = 0; i < n; i++) {
        long long r = a1[i];
        long long r = a2[i];

        long long n = r * r;
        if (n > max) {
            max = n;
        }

        for (int j = i + 1; j < n; j++) {
            r ^= a1[j];
            r &= a2[j];

            n = r * r;
            if (n > max) {
                max = n;
            }
        }
    }

    std::cout << max;
    return 0;
}